### Method

# Gtk.LockButton.set_permission

#### Declaration [src]

    void
    gtk_lock_button_set_permission (
      GtkLockButton* button,
      GPermission* permission
    )

#### Description [src]

Sets the `GPermission` object that controls `button`.

Sets property | `Gtk.LockButton:permission`

#### Parameters

`permission` | `GPermission*`
| a `GPermission` object, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee